""" beispiel_ls2_01 - Umgang mit Dictionaries
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  12.10.2020, 29.09.2022
    """

# Personen anlegen und ausgeben
print("4 Personen anlegen")
person1 = {"Nachname": "Arhaus", "Vorname": "Albert", "Alter": 1}
person2 = {"Nachname": "Braun", "Vorname": "Berta", "Alter": 2}
person3 = {"Nachname": "Carovic", "Vorname": "Chritoph", "Alter": 3}
person4 = {"Nachname": "Duck", "Vorname": "Donald", "Alter": 4}
print("")

print("Eine Personen ausgeben")
print(person1)
print("")

# Personenliste anlegen und ausgeben
print("Eine Personenliste anlegen")
personenListe = [person1, person2, person3, person4]
print("")

print("Die Personenliste ausgeben")
print(personenListe)
print("")

# Personenliste durchlaufen und Vornamen ausgeben
print("Die Personenliste durchlaufen und alle Vornamen ausgeben")
for person in personenListe:
    print(person["Vorname"])
print("")

# Personenliste in eine Textdatei schreiben
print("Die Personenliste in eine Textdatei schreiben")
DATEI_NAME = "beispiel_ls2_01.txt"
datei = open(DATEI_NAME, "w", encoding="utf-8")
datei.write("Nachname,Vorname,Alter" + "\n")
for person in personenListe:
    zeile = person["Nachname"] + "," + person["Vorname"] + "," + str(person["Alter"]) + "\n"
    datei.write(zeile)
datei.close()
print("Textdatei " + DATEI_NAME + " angelegt")
print("")
